@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Merriweather+Sans:ital,wght@0,300..800;1,300..800&family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    margin: 0px;
    padding: 0px;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    background: #fcfcfc;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.4375;
    font-family: 'Merriweather Sans', sans-serif;
    letter-spacing: 0px;
    color: #777777;    
}
p{
    margin: 0 0 1em;
}
h1 {
    font-size: 2em;
    margin: .67em 0;
}
/*.wrapper{
    justify-content: space-around;
    gap: 10000px;
}*/
.container{
    max-width: 1200px;/*ancho maximo*/
    margin-left: auto;
    margin-right: auto;
    /* el margen izqui y derec en auto, ambos seran iguales y la caja se centrara*/
    padding-left: -15px;
    padding-right: 15px;
}
.row{
    display: flex;
    margin-left: -15px;
    margin-right: -15px;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
}
.col{
    flex-basis: 0;
    flex-grow: 1;
    /* ambas propiedades son para que la caja tenga el mismo ancho*/
    padding-left: 15px;
    padding-right: 15px;
    box-sizing: border-box; /* hara que el padding no incremente el ancho */
}
.padded{
    padding-top: 90px;
    padding-bottom: 90px;
}
.descripcion-foto{
    position: absolute;
    top: 0;
    left: 15px;
    background: linear-gradient(0deg, rgba(0,0,0,0.8) 0%, rgba(0,0,0,0) 60%);
    height: 100%;
    width: calc(100% - 30px);
    padding: 30px;
    box-sizing: border-box;
    display: flex;
    align-items: flex-end;
    opacity: 0;/* el objeto y su contenido totalmente transparentes */
    transition: all .5s ease-in-out;
}
.descripcion-foto p{
    color: white;
}
.contenedor-foto:hover img {
    opacity: 0.7; /* Cambia la opacidad de la imagen al hacer hover */
    transition: opacity 0.5s ease-in-out; /* Agrega una transición suave */
}
.contenedor-foto:hover figcaption {
    opacity: 1; /* Muestra la descripción cuando se hace hover */
    transition: opacity 0.5s ease-in-out; /* Agrega una transición suave */
}
.img-fluid{
    max-width: 100%;
}
.centrado-vertical{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.contenedor-foto{
    position: relative;
    margin-bottom: 0px;
}
  /* LINEA PIE DE TITULO */
.h{
    width: 5%;
    height: 3px;
    border: 0 none;
    margin-right: auto;
    margin-left: auto;
    margin-top: 20px;
    margin-bottom: 80px;
    background-color: #000;
}
.h-left{
    width: 5%;
    height: 3px;
    border: 0 none;
    margin-right: 10px;
    margin-left: 10px;
    margin-top: 20px;
    margin-bottom: 80px;
    background-color: #000;
}
.main-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
}
.main-header::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(50px);
    z-index: -1;
}
.main-header::after{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}
.main-header:hover::after{
    left: 100%;
}

.navbar a{
    color: white;
    font-size: 16px;
    font-family: "Lato", sans-serif;
    font-style: normal;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 900;
    margin-left: 2.5rem;
}
.navbar-collapse{
    flex-grow: 0;
}
.carousel-caption {
    position: absolute;
    top: 50%;
    transform: translateY(-15%);
}
.carousel-item img {
    max-height: 900px; /* Ajusta este valor según tus necesidades */
}
.carousel-caption {
    position: absolute;
    top: 50%;
    transform: translateY(-0%);
    opacity: 0;
    transition: opacity 0.5s ease, transform 0.5s ease;
}
.carousel-caption h1{
    font-family: "Merriweather", serif;
    font-size: 60px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    padding-bottom: 20px;
    margin-top: -15px;
}
.carousel-caption p{
    font-family: 'Merriweather Sans', sans-serif;
    font-size: 25px;
}


/*efectos faed*/
.fade-in {
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.fade-in-active {
    opacity: 1;
}
.icon{
    position: relative;
    bottom: -50px;
    opacity: 0;
}
.fade-icon{
    opacity: 1;
    bottom: 0;
    transition: 1s linear;
}
/*efectos faed*/



/*Flechas de navegacion de carusel*/

/* Estilo para las flechas de navegación */
.carousel-control-prev,
.carousel-control-next {
    display: none; /* Inicialmente ocultar las flechas */
    position: absolute;
    top: 50%;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente */
    border-radius: 50%; /* Para hacer un círculo */
    width: 60px;
    height: 60px;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    transform: translateY(-50%); /* Centrar verticalmente */
    margin-top: -20px; /* Ajustar verticalmente */
    padding: 0; /* Eliminar el espacio de relleno */
    line-height: 30px; /* Centrar verticalmente el contenido */
    transition: background-color 0.3s;
}

/* Estilo para el ícono de flecha */
.carousel-control-prev i,
.carousel-control-next i {
    font-size: 30px; /* Ajusta el tamaño del ícono de la flecha */
    color: white; /* Color de la flecha */
    font-weight: bold; /* Hace que la flecha sea más gruesa */
}

/* Estilo para mostrar las flechas cuando se pasa el puntero por encima del carrusel */
.carousel:hover .carousel-control-prev,
.carousel:hover .carousel-control-next {
    display: block; /* Mostrar las flechas */
}

/* Ajuste de margen para alejar las flechas de los extremos */
.carousel-control-prev {
    left: 40px;
}

.carousel-control-next {
    right: 40px;
}


/*----------------------------------------*/

.carousel-item.active .carousel-caption {
    opacity: 1;
    transform: translateY(-15%);
}
.fade-in {
    opacity: 0;
    transition: opacity 1s ease-in-out;
}
#main-footer a{
    text-decoration: none;
    background-color: rgb(29, 29, 29);
    padding-top: 45px;
    padding-bottom: 45px;
    margin: 0 0;
}

@media(min-width: 1600px){
    .container{
        max-width: 1440px;
    }
}
/*seccion empresa*/

/* FORMULARIOS ---------------*/
.form-group{
    margin-bottom: 10px;
}
.form-control{
    width: 100%;
    padding: 10px;
    border: 0px;
    border-bottom: solid 1px #CCCCCC;
    font: inherit;
    outline: 0px;
    border-radius: 0px;
}
.form-control:focus{
    border-color: #fa1505;
    box-shadow: none;
}
.boton-formulario{
    padding: 10px 20px;
    font: inherit;
    border: none;
    background-color: #5e05f0;
    color: #ffffff;
    cursor: pointer;
    transition: all .5s ease-in-out;
}
.boton-formulario:hover{
    background-color: #fa1505;
}

/*footer*/
footer{
    background: #111;
    height: auto;
    width: 100w;
    font-family: "Oper Sans";
    padding-top: 40px;
    color: #fff;
}
.footer-content{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}
.footer-content h3{
    font-size: 1.8rem;
    font-weight: 10px auto;
    text-transform: capitalize;
    line-height: 3rem;
}
.footer-content p{
    max-width: 500px;
    margin: 10px auto;
    line-height: 28px;
    font-size: 14px;
}
.socials{
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 1rem 0 3rem 0;
}
.socials li{
    margin: 0 10px;
}
.socials a{
    text-decoration: none;
    color: #fff;
}
.socials a i{
    font-size: 1.1rem;
}
.socials a:hover i{
    color: aqua;
}

.footer-bottom{
    background: #000;
    width: 100w;
    padding: 20px 0;
    text-align: center;
}

.footer-bottom p{
    font-size: 14px;
    word-spacing: 2px;
    text-transform: capitalize;
}

.footer-bottom span{
    text-transform: uppercase;
    opacity: .4;
    font-weight: 200;
}

/* Estilos para el preloader */
.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #242F3F;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
  }
  
  .loader {
    display: inline-block;
    width: 30px;
    height: 30px;
    position: relative;
    border: 4px solid #fff;
    animation: loader 2s infinite ease;
  }
  
  .loader-inner {
    vertical-align: top;
    display: inline-block;
    width: 100%;
    background-color: #fff;
    animation: loader-inner 2s infinite ease-in;
  }
  
  @keyframes loader {
    0% {
        transform: rotate(0deg);
      }
      25% {
        transform: rotate(180deg);
      }
      50% {
        transform: rotate(180deg);
      }
      75% {
        transform: rotate(360deg);
      }
      100% {
        transform: rotate(360deg);
      }
  }
  
  @keyframes loader-inner {
    0% {
        height: 0%;
      }
      25% {
        height: 0%;
      }
      50% {
        height: 100%;
      }
      75% {
        height: 100%;
      }
      100% {
        height: 0%;
      }
  }

  /* SECCIONES */

  #servicios h2, h4{
    text-align: center;
    color: #31353d;
  }
  #servicios h4{
    font-size: 29px;
    font-weight: 500;
    line-height: 1.38462;
    font-family: "Merriweather", serif;
  }
  #servicios h2{
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.36957;
    font-family: Merriweather, serif;
  }
  #servicios i{
    font-size: 64px;
    margin-bottom: 40px;
    color: #111;
  }
  #servicios h5{
    font-size: 21px;
    font-weight: 400;
    padding-bottom: 19px;
    padding-top: 5px;
    border-bottom: 1px solid #e0e0e8;
    line-height: 1.38462;
    font-family: Merriweather, serif;
    letter-spacing: 0px;
  }
  #empresa{
    background-color: #759f9d;
    color: #ffffff;
  }
  #empresa h1{
    font-style: normal;
    font-weight: 600;
    font-size: 40px;
    margin-bottom: 35px;
    line-height: 1.31818;
    font-family: "Merriweather", serif;
    letter-spacing: 0px;
    text-align: inherit;
    color: #ffffff;
  }
  #clientes h2, h4{
    text-align: center;
    color: #31353d;
  }
  #clientes h4{
    font-size: 29px;
    font-weight: 500;
    line-height: 1.38462;
    font-family: "Merriweather", serif;
  }
  #clientes h2{
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.36957;
    font-family: "Merriweather", serif;
  }
  #stats h2{
    text-align: center;
    color: #ffffff;
  }
  #stats h4{
    font-size: 29px;
    font-weight: 500;
    line-height: 1.38462;
    font-family: "Merriweather", serif;
    text-align: center;
    color: #ffffff;
  }
  #stats h3{
    font-family: 'Merriweather', Helvetica, Arial, Lucida, sans-serif;
    font-size: 22px;
    color: #ffffff;
    line-height: 2.3em;
    font-style: normal;
    font-weight: 300;
    letter-spacing: 0px;
    text-align: center;
    margin: 15px 0;
  }
  #stats h2{
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.36957;
    font-family: "Merriweather", serif;
  }
  #stats hr {
    background-color: #ffffff;
    opacity: 1;
  }
  #stats span{
    font-family: 'Merriweather', Helvetica, Arial, Lucida, sans-serif;
    font-size: 74px;
  }
  #stats .col{
    display: flex;
    justify-content: center;
    align-items: center;
  }

@media(max-width:870px){/* estableciendo punto de corte */
    #carouselExample h1 {
        font-size: 34px; /* Tamaño de fuente más pequeño para h1 */
      }
      #carouselExample p {
        font-size: 26px; /* Tamaño de fuente más pequeño para p */
      }
    #servicios .col{
        flex-basis: 50%;
        max-width: 50%;
    }
    #empresa .row{
        flex-direction: column;
    }
    #empresa .row article{
        padding: 50px 22px;
    }
    
}
@media(max-width:480px){
    #servicios .col{
        flex-basis: 100%;
        max-width: 100%;
    }
}
@media (max-width: 767px) {
    #carouselExample p {
        font-size: 17px;
    }
    #carouselExample h1 {
        font-size: 28px;
    }
}


/* BOTONES*********** */
.btn {
    position: relative;
    display: block;
    height: 60px;
    width: 250px;
    border-radius: 39px;
    text-transform: uppercase;
    background-color: transparent;
    color: #ffffff;
    font-size: 18px;
    overflow: hidden;
    transition: all 500ms ease;
    border: 2px solid #ffffff;
    margin-bottom: 40px;
    z-index: 0;
    font-weight: 700;
}

.btn::before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    margin: auto;
    background-color: #000;
    transition: all 500ms ease;
    z-index: -1;
}

.btn:hover {
    background-color: #ffffff;
}

.btn:hover a {
    color: #000; /* Cambia el color del texto al hacer hover sobre el botón */
}

.btn a {
    text-decoration: none;
    color: #ffffff;
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: normal;
    font-size: 15px;
}


/* ESTILOS DE FOTO */

.img-circulo{
    width: 200px;
    height: 200px;
    border-radius: 50%;
}

/* ESTILOS DE LETRA VARIOS */

.testimonio-cliente{
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 1.27778;
    font-family: Merriweather, serif;
    color: #31353d;
}

/* SECCION ESTADISTICAS ESTILOS */
.fondo-paralelo{
  background-image: url(../img/fondo.png);
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: auto;
  width: 100%;
  margin: 0;
  padding: 0;
  overflow-x: hidden; /* Ajusta la altura según sea necesario */
  }
  
  .content{
    /* Estilos para el contenido dentro de la sección */
    padding: 50px;
  }
  .circulo {
    width: 200px; /* Ancho del círculo */
    height: 200px; /* Altura del círculo */
    border-radius: 50%; /* Hace que el div sea un círculo */
    border: 2px solid #ffffff; /* Borde blanco */
    background-color: transparent; /* Fondo transparente */
    display: flex;
    margin-bottom: 20px;
    justify-content: center;
    align-items: center;
    font-size: 24px; /* Tamaño del número dentro del círculo */
    color: #ffffff; /* Color del número */
  }
  
  
/* GOTOP */
 
.go-top-container {
    position: fixed;
    bottom: 4rem;
    right: 4rem;
    width: 6.6rem;
    height: 6.6rem;
    z-index: -1;
}
 
.go-top-button {
    width: 0rem;
    height: 0rem;
    background: #2071b2;
    border-radius: 50%;
    cursor: pointer;
    transition: .2s;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}
 
.go-top-button i {
    position: absolute;
    font-size: 1.7rem;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    color: #fff;
    transition: .2s;
}
 
.show {
    z-index: 10;
}
 
.show .go-top-button {
    animation: popup 0.3s ease-in-out;
    width: 6.6rem;
    height: 6.6rem;
    z-index: 11;
}
 
.show i {
    transform: translate(-50%, -50%) scale(1);
}
 
@keyframes popup {
    0% {
        width: 0;
        height: 0;
    }
    50% {
        width: 8rem;
        height: 8rem;
    }
    100% {
        width: 6.6rem;
        height: 6.6rem;
    }
}
/* PAGINA 2 "NOSOTROS" */
:root{
    --color-1:#ff3535;
    --color-2:#ffcaca;
    --color-header:#50505083;
    --color-fondo:#000000;
    --color-texto-1:#ffffff;
    --color-texto-2:#ffd000;
    --color-texto-3:#ff3535;
}

/* SECTION 1*/
#banner{
    position: relative;
}
.banner-caption {
    position: absolute;
    right: 15%;
    bottom: 1.25rem;
    left: 15%;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    text-align: center;
}
.banner-caption h1{
    color: var(--color-texto-1);
    font-family: "Merriweather", serif;
    font-size: 60px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    padding-bottom: 20px;
    margin-top: -15px;
}
.banner-caption p{
    color: var(--color-texto-1);
    font-family: 'Merriweather Sans', sans-serif;
    font-size: 25px;
}
#nosotros{
    background-color: #000000;
}
#nosotros h2 {
    font-size: 48px;
    font-style: normal;
    font-weight: 900;
    line-height: 1.36957;
    font-family: "Merriweather", serif;
    background-image: url("../img/texto/nos.jpg");
    background-size: cover;
    background-position-y: center;
    background-clip: text;
    color: rgba(0, 0, 0, 0.1);
}
#nosotros p{
    color: #ffffff;
}
.h-nosotros {
    width: 15%;
    height: 3px;
    border: 0 none;
    margin-right: 10px;
    margin-left: 10px;
    margin-top: 20px;
    margin-bottom: 80px;
    background-image: linear-gradient(to right, black, orange, yellow, white);
    background-size: 100% 100%; /* Ajusta el tamaño para cubrir completamente el elemento */
}
/*#proposito{
    background: linear-gradient(to right, rgb(33 51 71), rgb(157 218 229));
}*/
#proposito h2{
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.36957;
    font-family: "Merriweather", serif;
    color: #31353d;
}
/*#proposito p{
    color: #000;
}*/

/* SECCION 3 */
#colaboradores h2, h4{
    text-align: center;
    color: #31353d;
}
#colaboradores h4{
    font-size: 29px;
    font-weight: 500;
    line-height: 1.38462;
    font-family: "Merriweather", serif;
}
#colaboradores h2{
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.36957;
    font-family: Merriweather, serif;
}
#colaboradores h3{
    font-family: 'Merriweather', Helvetica, Arial, Lucida, sans-serif;
    font-size: 23px;
    font-weight: 700;
    color: #333333 !important;
    line-height: 1.3em;
}
#colaboradores{
    background: linear-gradient(to right, rgb(161 177 210), rgb(168 189 230), rgb(207 250 254), rgb(103 255 254));
    animation: cambiar 8s ease-in-out infinite;
    background-size: 400% 400%;
	position: relative;
}
@keyframes cambiar{
    0%{background-position: 0 50%;}
    50%{background-position: 100% 50%;}
    100%{background-position: 0 50%;}
}


/*EFECTOS PAGINA 2*/

/* Efecto de fade-in */
.fade-element {
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.fade-effect .fade-element {
    opacity: 1;
}


/**tarjetas de presentacion**/
.card {
    position: relative;
    width: 280px;
    height: 400px;
    border-radius: 10px;
    box-shadow: 2px 3px 5px rgba(73, 69, 52, 0.4);
    background: #fff0;
}

.card .content {
    position: relative;
    z-index: 100;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    overflow: hidden;  
    text-align: center;  
    padding: 20px;
    background: #fff;
}

.card .content .img {
    height: 50%;
    margin-bottom: 20px;
}

.card .content .img img {
    position: relative;
    width: 170px;
    height: 170px;
    border-radius: 50%;
    object-fit: cover;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
}

.card .content span {
    position: absolute;
    width: 370px;
    height: 230px;
    background: linear-gradient(to right, #0f2c53, #2363af);
    transform: rotate(-35deg);
    top: -70px;
    left: -100px;
}

.card .content h4 {
    font-size: 18px;
    color: #1a1919;
    margin-bottom: 5px;
}

.card .content h6 {
    font-size: 13px;
    color: #203066;
}

.card .content p {
    font-size: 13px;
    color: #1a161f;
    margin-top: 10px;
}

.card .links {
    position: absolute;
    z-index: 90;
    width: 50px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    background: rgba(255, 255, 255, 0.5);
    box-shadow: 2px 3px 5px rgba(73, 69, 52, 0.4);
    padding: 20px;
    align-items: center;
    right: 10px;
    top: 15px;
    transition: .5s;
}

.card:hover .links {
    right: -50px;
    border-radius: 0 10px 10px 0;
}


.card .links a {
    font-size: 20px;
    color: #646069;
}

.card .links a:nth-child(1):hover {
    color: #0158ca;
}

.card .links a:nth-child(2):hover {
    color: #1C93E4;
}

.card .links a:nth-child(3):hover {
    color: #FE0000;
}

.card .links a:nth-child(4):hover {
    color: #1250a1;
}
  
  